/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.2
 * 
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: putchar.c,v $
 *
 * HISTORY
 * $Log: putchar.c,v $
 * Revision 1.2  1994/06/11  00:02:46  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/14  23:31:36  davidm
 * Initial revision
 *
 */
/*
 * Write character to console.
 */
#include <machine/prom.h>
#include "alpha_console.h"
#include "alpha_misc.h"


int
putchar(int ch)
{
    int len = 1;
    char* const buf = (char*) 0x20000ff8L;

    *buf = ch;
    if (ch == '\n') {
	buf[len++] = '\r';
    } /* if */
    PROM_PUTS(console_unit, buf, len);
    return ch;
} /* putchar */

			/*** end of putchar.c ***/
